Package ch.qos.logback.classic.jmx

## Class MBeanUtil

- java.lang.Object
- - ch.qos.logback.classic.jmx.MBeanUtil

    public class MBeanUtil
    extends java.lang.Object

### Constructor Summary

Constructors
`MBeanUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `createAndRegisterJMXConfigurator​(javax.management.MBeanServer mbs, LoggerContext loggerContext, JMXConfigurator jmxConfigurator, javax.management.ObjectName objectName, java.lang.Object caller)`
`static java.lang.String` `getObjectNameFor​(java.lang.String contextName, java.lang.Class type)`
`static boolean` `isRegistered​(javax.management.MBeanServer mbs, javax.management.ObjectName objectName)`
`static javax.management.ObjectName` `string2ObjectName​(Context context, java.lang.Object caller, java.lang.String objectNameAsStr)`
`static void` `unregister​(LoggerContext loggerContext, javax.management.MBeanServer mbs, javax.management.ObjectName objectName, java.lang.Object caller)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MBeanUtil

    public MBeanUtil()

### Method Detail

#### getObjectNameFor

    public static java.lang.String getObjectNameFor​(java.lang.String contextName,
                                                    java.lang.Class type)

#### string2ObjectName

    public static javax.management.ObjectName string2ObjectName​(Context context,
                                                                java.lang.Object caller,
                                                                java.lang.String objectNameAsStr)

#### isRegistered

    public static boolean isRegistered​(javax.management.MBeanServer mbs,
                                       javax.management.ObjectName objectName)

#### createAndRegisterJMXConfigurator

    public static void createAndRegisterJMXConfigurator​(javax.management.MBeanServer mbs,
                                                        LoggerContext loggerContext,
                                                        JMXConfigurator jmxConfigurator,
                                                        javax.management.ObjectName objectName,
                                                        java.lang.Object caller)

#### unregister

    public static void unregister​(LoggerContext loggerContext,
                                  javax.management.MBeanServer mbs,
                                  javax.management.ObjectName objectName,
                                  java.lang.Object caller)